Actions
All operations require authentication.
List the actions of an OverTheBox deviceProduction
List the actions of an OverTheBox device. Returns the IDs of the actions scheduled on the device, which can be filtered by status and name.
Path parameters
The internal name of your overTheBox offer
Query parameters
Filter the value of name property (=)
Filter the value of status property (=)
doingdoneerrortodoResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ device/ actions \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List the actions available on an OverTheBox deviceProduction
List the actions available on an OverTheBox device. Returns the name and description of each action that can be created on the device.
Path parameters
The internal name of your overTheBox offer
Response
Description of the action
Name of the action
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ device/ availableActions \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string" }]
Create an action on an OverTheBox deviceProduction
Create an action on an OverTheBox device. Schedules one of the available device actions, given by its name, and returns the created action.
Path parameters
The internal name of your overTheBox offer
Request body (required)
Name of the action
Response
The id of the action
Date of creation of the action
The details of the action
The name of the action
The status of the action
doingdoneerrortodoDate of execution of the action
Last time the action was updated
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ device/ actions \
-H "authorization: Bearer $OVH_TOKEN"{ "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z"}
Get an action of an OverTheBox deviceProduction
Get an action of an OverTheBox device. Returns the name, status, details and the creation, update and execution dates of an action of the device.
Path parameters
The id of the action
The internal name of your overTheBox offer
Response
The id of the action
Date of creation of the action
The details of the action
The name of the action
The status of the action
doingdoneerrortodoDate of execution of the action
Last time the action was updated
Example uses actionId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ device/ actions/ {actionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z"}